Thanks Laurent,

Laurent Blume writes:

> FWIW, I can tell you that the following commands do work for me, Solaris
> 8 to 10, SPARC & x86, Studio 9 to 11, OpenSSL 0.9.7 and 0.9.8.


This (for now) is 0.9.8 on Solaris 8 (SunOS 5.8 sparc),
even if config says: Configuring for solaris-sparcv9-cc

> export PATH=/usr/bin:/usr/sbin:/usr/ccs/bin:/opt/SUNWspro/bin:/usr/perl5/bin


Hard to say anything about that -- I have a complex env, but it should boil
down to the same.
Anyway, thanks, I'll try to see whether setting such a standard PATH could
help identifying the cause of the problem.

> export LD_OPTIONS="-R${PREFIX}/lib"


Er... What is that?

-R Build runtime search path list into executable

I don't believe it should affect... not do I want it in fact.
Anyway, I try...

> ./config --prefix=${PREFIX} shared \
> -R${PREFIX}/lib


Is this responsible for the (new) effect:

m2c -o Makefile.shared -e Makefile.shared Makefile.shared.mod
make[4]: m2c: Command not found

> You should also check that there's nothing in the build environment that
> could cause a collision with an older version.


Again, I don't think so.
But sure, there is something adverse in my environment!

The (first) command which failed at mine was
(after narrowing the problem down in the makefiles):

cc -KPIC -DOPENSSL_PIC -DZLIB -DOPENSSL_THREADS -D_REENTRANT -DDSO_DLFCN \
-DHAVE_DLFCN_H -xtarget=ultra -xarch=v8plus -xO5 -xstrconst -xdepend -Xa \
-DB_ENDIAN -DBN_DIV2W -DMD5_ASM -G -dy -z text -h libssl.so.0.9.8 \
- Wl,-Bsymbolic -o libssl.so.0.9.8 -z allextract libssl.a -z defaultextract \
-lcrypto -L. -lsocket -lnsl -ldl -lz

Thanks in any case!
Marc

__________________________________________________ ____________________
OpenSSL Project http://www.openssl.org
User Support Mailing List openssl-users@openssl.org
Automated List Manager majordomo@openssl.org